#
# spec file for package s3fs
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           s3fs
Version:        1.78
Release:        4.4
Summary:        FUSE file system backed by Amazon S3 bucket
License:        GPL-2.0
Group:          System/Filesystems
Url:            https://github.com/s3fs-fuse/s3fs-fuse
Source0:        %{name}-fuse-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  dos2unix
BuildRequires:  fuse-devel
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FUSE-based file system backed by Amazon S3. Mount a bucket as a local
file system read/write. Store files/folders natively and transparently

%prep
%setup -qn s3fs-fuse-%{version}

%build
dos2unix %{_builddir}/%{name}-fuse-%{version}/README
./autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root,-)
%doc ChangeLog README COPYING
%{_bindir}/s3fs
%{_mandir}/man1/s3fs.1.gz

%changelog
* Wed Jan 14 2015 rschweikert@suse.com
- Update to version 1.78
  + Password file with DOS format is not handled properly
  + Failed making signature
  + Moving a directory containing more than 1000 files truncates the directory
  + use_sse is ignored when creating new files
  + Support for SSE-C
  + Cannot find pkg-config when configured with any SSL backend except openssl
  + enable_content_md5 Input/output error
  + s3fs -u should return 0 if there are no lost multiparts
  + empty file is written to s3
  + s3fs crashes with segfault
  + Fix typos in docs for max_stat_cache_size
  + curl ssl problems
  + Address signedness warning in FdCache::Init
  + du shows incorrect usage stats
  + version in configure.ac is 1.74 for release 1.75
  + Using %%20 instead of the plus (+) sign for encoding spaces
  + Fixed local timezone was incorrectly being applied to IAM and
    Last-Modified dates.
  + Fix compilation error on MacOSX with missing const
* Sat Jan 18 2014 rschweikert@suse.com
- Update to version 1.74
  + Fixed bugs
  - Fixed wrong printf format.
  - Fixed a bug at changing umask.
  - Fixed a bug at changing utimens.
  - When changing object size, could not update stat cache.
  - Fixed some memory leak.
  - Fixed a bug about ftruncate(Issue 371).
  - Fixed a bug about multipart post request(Issue 371).
  - Fixed a bug about multipart post/head retrying(Issue 389).
  - Fixed public_bucket option bug
  - Fixed file size over flow on 32bit OS
  + Changed codes
  - Calling curl_global_init function once.
  - Adds dynamic lock callback for OpenSSL.
  - Checking strict for s3fs command parameters.
  - Caches SSL session.
  - Changes parallel count 500 to 20 for multipart head req.
  - Adds --enable-nss-init configure option.
  - Changes updating timing for object cache(Issue 368).
  - Changes level for some debugging codes.
  - Adds casting for curl_ott_t variables.
  - Adds IAM role option.
  - Adds function on utility mode for removing failed multipart req.
* Tue Aug 27 2013 rschweikert@suse.com
- Initial build
